Subject: RE: [hackers-il] C books ?

From: Omer Musaev <[email-masked]>
Date: Thu, 23 Oct 2003 10:11:35 +0200

> -----Original Message-----
> From: Oleg Goldshmidt [mailto:[email-masked]]
> Sent: Thursday, October 23, 2003 9:21 AM
> To: [email-masked]
> Subject: Re: [hackers-il] C books ?
> 
> Muli Ben-Yehuda <[email-masked]> writes:
> 
> > On Fri, Oct 10, 2003 at 06:17:18PM +0200, Shlomi Fish wrote:
> >
> > > He recommends the Kerninghan and Ritchie book as well as "A Book on
> C". I
> > > never really read them, so I can't first-hand evaluate them to you.
> >
> > Kernighan and Ritchie is the only C book I ever felt the need to have
> > physically on my shelf. 'Nuff said. It's *the* book on C. It's slim,
> > too, which is nice in this era of computer books that can be bought by
> > the pound.
> 
> I agree, with the addition of "C, A Reference Manual" by Harbison &
> Steele. I don't think I own anything else devoted to C, nor have I
> seen anything I wanted or needed.

I would add a "Expert C Programming - Deep C secrets" by Peter van der
Linden to the list of C books that deserve to be owned. 

This book assumes the reader possess already pretty good C knowledge, thus I
would refrain from recommending this book to newcomer. Nevertheless, it is
one of the best *second* books on C.

--
Omer Mussaev : Software Engineer
Mercury Interactive / APM R&D / EMS team
Agile Programming Language - http://www.python.org/

________________________________________________________________________
This email has been scanned for all viruses. 

Mercury Interactive Corporation
Optimizing Business Processes to Maximize Business Results